Stream Hide

The POST endpoint allows Stream to be hidden/un-hidden. A hidden stream is not visible from the Application Data > Streams Web UI.

CAVEAT's

  • This does not delete the data, only hides it from ui.

  • If queries (LQL) still map this data into profiles it will still be added.

# Hide a temporary stream
curl -XPOST 'https://api.lytics.io/api/schema/_streams' \
    -H 'Content-type: application/json' \
    -H "Authorization: $LIOKEY" \
    -d '{
        "stream": "my_temp_upload",
        "hidden": true
     }' | jq '.'
Path Params
string
required

Name of the stream To Delete

boolean
required

hide stream from Web UI

Query Params
string

Your Lytics account ID.

Response
204

No Content

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here!